<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Pose Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#9845ac065be01f223405dbfcd010d2f6">_getHardwareVertexBuffer</a>(size_t numVertices) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#e61acae74c70fb3646902ce5f04ee3e7">addVertex</a>(size_t index, const Vector3 &amp;offset)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#4f0d1d9d0796573edd9b7d7143bf2c49">clearVertexOffsets</a>(void)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#153cee4b0f92d630006125ea2d17e9ee">clone</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#b7830f6ad3feaf3740a8e6477d97cef5">ConstVertexOffsetIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#73c497f062296a446298258d3b500e86">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#8c18792868f8165a19ef645b9395a20b">getTarget</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#af66be533fd63dff6be363d573ae6740">getVertexOffsetIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#0f6ceaf2411fe3b8e63652b4a182ca35">getVertexOffsetIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#7216f1dac1bd9e0bec03160d2929248a">getVertexOffsets</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#4256531f55d7093373437ca1864115a5">mBuffer</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#4dfab7ef915235c4e3885054f0649c3e">mName</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#f23de51f107e8192583857cf230a574e">mTarget</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#e0965a04e0b5b5285e29b10e646561a0">mVertexOffsetMap</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#3cafdf6a9c77f21d06befd7a2f2dc89c">Pose</a>(ushort target, const String &amp;name=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#139c78110101298ddde260277e0d38f1">removeVertex</a>(size_t index)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#ab53719cd5a035c0b5ca9301c9927a9a">VertexOffsetIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#5dd51aff1599c910c91862a5c08e90b2">VertexOffsetMap</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#c969f4336838560b56d2ad650f48595f">~Pose</a>()</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:50 2008
</p>
</body>
</html>
